Subject: Re: odd sed behavior
From: Bob McGowan <[email-masked]>
To: [email-masked]
Date: Tue, 21 Mar 2000 18:33:55 -0800

Chris Faylor wrote:
> 
> On Tue, Mar 21, 2000 at 05:14:28PM -0800, Michael O'Brien wrote:
> >When using the 20.1 version of cygwin, I'm seeing the following
> >strange-ness. From the command prompt:
> >
> >    F:\>sort  -u  a.msg  |  sed 's/[\\"]/\\&/g;s/.*/\"&\",/'
> >    sed: -e expression #1, char 21: Unterminated `s' command
> >    The system cannot find the path specified.
> >
> >    F:\>sort  -u  a.msg  |  sed 's/[\\"]/\\&/g;s/.*/&,/'
> >
> >Anyone have any ideas why this doesn't work?
> 
> I don't believe that B20.1 understands the "'" (apostrophe) quote
> character.
> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

This is a command prompt (not bash) issue, I believe.  The Windows
command prompt does not use the single quote (apostrophe) for quoting,
only double quotes.  The single quotes are probably being passed in to
sed.

I'd suggest to Michael that you try first starting the bash shell, then
run the sed command and see what happens.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]